Bug 5275 - Kicad - request to update
: Kicad - request to update
Status: RESOLVED FIXED
Product: Desktop Features
Classification: ROSA Desktop
Component: All
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-26 05:36 MSK by andrea_scopelliti
Modified: 2015-04-04 17:36 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description andrea_scopelliti 2015-03-26 05:36:16 MSK
The version of Kicad present in rosa repositories is quite outdated. Kicad developers are not more distributing stable releases, but switched to a launchpad distribution of their software that implicates the download of updated sources and their compilation.
To ease this process they developed an helper file that, unfortunately, is not compatible with urpmi-based applications, obliging to a manual installation.
the link is:
http://www.kicad-pcb.org/display/KICAD/Installing+KiCad#InstallingKiCad-Linux.

Is it possible to add to the repositories a modified version of this helper file, or an updated version of Kicad?

Thank you for your help.
Comment 1 Denis Silakov 2015-04-02 23:38:23 MSD
Kicad in our repositories has been updated.

I'll take a look at helper scripts, as well. Hopefully upstream will accept modifications that would allow using it in ROSA and other urpmi-based distributions.
Comment 2 Denis Silakov 2015-04-03 13:25:34 MSD
Patch for kicad-install.sh has been sent upstream - https://bugs.launchpad.net/kicad/+bug/1440006
Comment 3 andrea_scopelliti 2015-04-04 17:36:22 MSD
Thank You a lot, Dennis.
I hope that your patch will be soon included in the official helper. In any case it will not be difficult to modify the helper file manually.

Andrea Scopelliti